Subject: [mpowr] Re: Fwd: I-D ACTION:draft-wasserman-rfc2418-ml-update-00.txt

From: John C Klensin <[email-masked]>
Date: Wed, 11 Feb 2004 14:05:18 -0500

Margaret,

I think this summarizes what I have gotten out of the 
discussions, with one qualification, noted below.  I'd love to 
see this be a candidate for either an immediate IETF Last Call 
or the procedure outlined in 
draft-klensin-process-july14-00.txt, since I have no reason to 
imagine that more debates about charters, or debates within a 
WG, would tell us anything we don't know already.

(1) Qualification/ Substantive Issue: If you are going to be 
precise here, the last sentence should read something like

	"Other methods of mailing list control, and longer or
	additional suspensions, must be approved by the IESG or
	carried out in accordance with other IESG-approved
	procedures."

This makes two changes, one of which I think is clearly 
consistent with mailing list discussions.  The other is too, 
although less clearly because there has been less discussion:

(i) The intent, as I understand it, is to permit a WG chair to 
rather quickly suspend posting privileges in an abusive 
situation and for a short period of time.  Even the possibility 
of attaching a second 30 day suspension to the end of the first 
one smells like abuse, and was not what seems to be intended. 
So the WG Chair gets one 30 day suspension as specified, but 
longer or additional ones need some additional consultation, up 
through and including application of 
draft-mrose-ietf-posting-04.txt.

(ii) Driven partially by the frustration and thinking that went 
into the above-cited "process-july15" draft, I note that the 
mailing list discussions identified a rather large space between 
"maybe shutting someone out for 30 days is ok" and "shutting 
someone off forever".  I think we need to view that 30 days 
largely as a "cooling off" period and an opportunity for further 
consultation about what might happen next, if needed, and under 
what circumstances.   At the same time, I believe that the IESG 
ought to be able to tailor the "what next" to the circumstances 
-- which might include giving guidance to the WG Chair about 
appropriate responses to different actions -- and then delegate 
authority, either to the Chair, an AD, an IESG-designated 
committee or subcommittee, or some combination of them that made 
sense.  If we try to figure out those circumstances and rules in 
advance, we will end up with very long procedural documents that 
will always be responding to previous battles and wars.

(2) The -01 version of this, if there is one, needs 
spell-checking.

(3) The procedural change I'd most like to see --not, in any 
sense, the one that is the most important, but one of those I 
find most irritating -- would result in an Internet Draft with 
two or three pages of substance not ending up nine pages long. 
I think those 8 1/2 pages are yet another symptom that things 
have gotten somewhat out of hand.

    john

_______________________________________________
mpowr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpowr

---

From: Margaret Wasserman <[email-masked]>
Date: Wed, 11 Feb 2004 14:49:48 -0500

Hi John,

At 02:05 PM 2/11/2004 -0500, John C Klensin wrote:

>I think this summarizes what I have gotten out of the discussions, with 
>one qualification, noted below.  I'd love to see this be a candidate for 
>either an immediate IETF Last Call or the procedure outlined in 
>draft-klensin-process-july14-00.txt, since I have no reason to imagine 
>that more debates about charters, or debates within a WG, would tell us 
>anything we don't know already.

I prefer an approach that runs:  (1) Tune as needed, (2) Four week last 
call, (3) Publish.

I'd accept the experimental July 14 approach, though.

>(i) The intent, as I understand it, is to permit a WG chair to rather 
>quickly suspend posting privileges in an abusive situation and for a short 
>period of time.  Even the possibility of attaching a second 30 day 
>suspension to the end of the first one smells like abuse, and was not what 
>seems to be intended. So the WG Chair gets one 30 day suspension as 
>specified, but longer or additional ones need some additional 
>consultation, up through and including application of 

I'm not sure that I fully agree....

I agree that a chair should not ban someone from a mailing list for longer
than 30 days by issuing back-to-back 30 day suspensions.  However, I do think
that a chair should be able to suspend a person for 30 days, let him back on
the list, and eventually suspend him for 30 days again if there is another
period of disruptive behaviour.

How about changing that final sentence to a separate paragraph that
says:

This mechanism is intended to permit a WG chair to suspend posting privileges
of a disruptive individual for a short period of time.  This mechanism does
not permit WG chairs to suspend an individual's posting privileges for
a period longer than 30 days regardless of the type or severity of the
disruptive incident.  However, further disruptive behaviour by the same
individual will be considered separately and may result in further warnings
or suspensions.  Other methods of mailing list control, including longer
suspensions, must be approved by the IESG or carried out in accordance with
other IESG-approved procedures.

>(2) The -01 version of this, if there is one, needs spell-checking.

Sorry, I produced it under a rather tight deadline.  I expect to publish
an -01 update shortly after Seoul (hopefully for IETF Last Call), and I'll
do better.

>(3) The procedural change I'd most like to see --not, in any sense, the 
>one that is the most important, but one of those I find most irritating -- 
>would result in an Internet Draft with two or three pages of substance not 
>ending up nine pages long. I think those 8 1/2 pages are yet another 
>symptom that things have gotten somewhat out of hand.

Me, too.  Some of the length can be attributed to the fact that the
formatting tool I use puts each section on a new page.  Does anyone
know if there is an option in xml2rfc to override that?

But, there are at least 4 pages of overhead, most of which has very
limited utility.

Margaret

---

From: John C Klensin <[email-masked]>
Date: Wed, 11 Feb 2004 16:12:33 -0500

--On Wednesday, 11 February, 2004 14:49 -0500 Margaret Wasserman 
<[email-masked]> wrote:

>> discussions, with  one qualification, noted below.  I'd love
>> to see this be a candidate for  either an immediate IETF Last
>> Call or the procedure outlined in
>> draft-klensin-process-july14-00.txt, since I have no reason
>> to imagine  that more debates about charters, or debates
>> within a WG, would tell us  anything we don't know already.
>
> I prefer an approach that runs:  (1) Tune as needed, (2) Four
> week last call, (3) Publish.
>

Of course, the two differ only in how much time one spends 
tuning before the Last Call is issued.  The "July 14" approach 
would move a little closer toward "issue four week last call, 
then make tuning improvements suggested during the last call 
before publication".  That difference is not significant enough 
to spend time on, unless the "tune as needed" process is likely 
to consume an unbounded amount of time.  Of course, were one to 
make an inference from the charter discussion, that may be worth 
worrying about :-(

>> (i) The intent, as I understand it, is to permit a WG chair
>> to rather  quickly suspend posting privileges in an abusive
>> situation and for a short  period of time.  Even the
>> possibility of attaching a second 30 day  suspension to the
>> end of the first one smells like abuse, and was not what
>> seems to be intended. So the WG Chair gets one 30 day
>> suspension as  specified, but longer or additional ones need
>> some additional  consultation, up through and including
>> application of  draft-mrose-ietf-posting-04.txt.
>

Ok.  I don't have a strong feeling one way or the other.  And I 
think this falls clearly into the category of things about which 
will learn more by trying it than by endless debate.  I'd rather 
see us get moving --on either model-- and then tune as/if 
needed, than spend a lot of time debating this.

> How about changing that final sentence to a separate paragraph
> that says:
>

Sure.  Whatever turns you on.  See above.

> an -01 update shortly after Seoul (hopefully for IETF Last
> Call), and I'll do better.

Not a problem.  I noticed and thought it was worth flagging.

>> sense, the  one that is the most important, but one of those
>> I find most irritating --  would result in an Internet Draft
>> with two or three pages of substance not  ending up nine
>> pages long. I think those 8 1/2 pages are yet another

You are probably looking for
   <?rfc compact='yes'?>
but should be warned that it has other consequences, such as 
squeezing lists up against preceding and subsequent text.

> But, there are at least 4 pages of overhead, most of which has
> very limited utility.

Dear IESG member :-) ...my recollection is that almost every 
time the lawyers have been carefully asked about this, they have 
agreed that much of that text can be incorporated by reference, 
especially in I-Ds.  Somehow, we have ended up with a 
requirement for all of the text in the I-Ds themselves, and it 
wasn't because there was a community discussion, a Last Call, 
etc.  The one argument I've heard for its inclusion is that, if 
I'm forced to explicitly include it, I at least can't claim I 
don't know what I've agreed to.  But tools like xml2rfc make 
that argument largely, if not completely, obsolete, since the 
only thing that actually gets included is
   <rfc ipr="full2026" docName="draft-bozo-fubar-00.txt">
and it then spews out all of the boilerplate, including the bits 
that flunk my spell and/or grammar checkers.

At the risk of turning this into a mantra, "the IESG created 
this problem, the IESG can fix it (with no in-depth or amateur 
lawyer help from the community)".   And, that said, I strongly 
suspect the IESG has more important priorities, and I trust you 
(collectively) to make that decision too.

best,
    john

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 11 Feb 2004 23:21:24 +0100

Hi Margaret,

    Since I'm replying to your xml2rfc question at the bottom, I might
as well touch on the rest too..

> other IESG-approved procedures.

I find this is an improvement over both -00 and Johns alternative.

> an -01 update shortly after Seoul (hopefully for IETF Last Call), and I'll

If you are running a system with ispell on it (linux, or windows with
cygwin) you can use ispell with the -h flag on the .xml file before running
it through xml2rfc.  Works well.

> >symptom that things have gotten somewhat out of hand.

Agree.

> know if there is an option in xml2rfc to override that?

Add this at the top of the .xml file (after the XML declaration):
    <?rfc compact='yes'?>

	Henrik